Skip to main content
PATCH
Update Assignment Answer Sheet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier of the assignment

assignmentSheetId
string
required

Unique identifier of the answer sheet

Body

multipart/form-data
documents
file[]

List of answer sheet documents to upload (if any).

isFinal
boolean

Flag to trigger evaluation if set to 'true'. Only one of documents, or isFinal is allowed.

Example:

true

Response

Answer sheet uploaded successfully.

id
string<uuid>

Unique identifier for the answer sheet.

Example:

"57387c68-0706-4a9d-834a-237b6b63cb5d"

status
integer

Status of the answer sheet (refer this doc to get the constants)

Example:

0

studentId
string

Unique identifier of the student.

Example:

"12345"

name
string

Name of the student.

Example:

"John Doe"

batchId
string | null

Unique identifier of the batch.

Example:

"batch_1"

sessionId
string | null

Unique identifier of the session.

Example:

"session_1"

documents
object[]

List of documents associated with the assignment.